# 基础属性配置

- **方案名称**

  用于标示一个方案，每个方案名称都是唯一的。

- **分析语言**

  用于指明该方案是针对代码库何种语言进行分析。初次创建分析方案时会根据语言初始化分析方案相关配置。

- **运行环境**

  - 对于客户端分析，根据客户端所在本地执行机器选择对应运行环境即可。

  - 对于在线分析，根据项目实际情况，选取对应运行环境即可。

    ::: tip
    在线分析时，会根据方案的运行环境，将任务分配到对应环境的节点机器上执行代码分析。

    需考虑项目在对应环境的节点机器上能否正常执行
    :::

- **环境变量**

  每行 key-value 形式，非必填项。

  - **可用于指定特殊编译环境**：如机器有多个 JDK 或者 gradle 环境，项目编译需指定 JDK 或 gradle 版本的可以设定相应环境变量。

  - **可用于工具传递参数**： 如`ESLINT_MAX_OLD_SPACE_SIZE=4096`配置 Js 内存大小

  - **可用于指定项目配置**，如`PYTHON_VERSION=2` 指定为 python2 项目

    ::: tip
    对 Python 的分析默认采用 Python3，如果需要分析 Python2 请在环境变量中设置：PYTHON_VERSION=2
    :::
